Vorboss Product Availability API (0.3.0)

Download OpenAPI specification:

Check a postcode

Check which products are available at the given postcode.

Authorizations:
bearerAuth
path Parameters
postcode
required
string

UK Postcode to check availability for.

Responses

Request samples

curl -X GET "https://api.vorboss.com/product-availability/postcode/SE1%200JN" -H "Authorization: Bearer YOUR TOKEN"

Response samples

Content type
application/json
Example
{
  • "id": "KR3FVJ7P",
  • "message": "Vorboss Products are available at SE1 0JN. Please contact us to place an order.",
  • "postcode": "SE1 0JN",
  • "availableProducts": [
    ]
}

Place an order

Place an order for a given product at the given postcode.

Authorizations:
bearerAuth

Responses

Request samples

curl -s https://api.vorboss.com/product-availability/order -X POST -H "Content-Type: application/json" -H "Authorization: Bearer YOURTOKEN" -d '{"postcode": "E14 9WZ", "productCode": "some product code getting from check postcode method"}'

Response samples

Content type
application/json
{
  • "message": "We have received your order request. A member of our team will be in touch shortly.",
  • "orderId": "195e62e0-9866-49f6-b317-f84ffb39d80a"
}